- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# fstat_args Struct Reference

`#include <sysproto.h>`

Collaboration diagram for fstat_args:

[legend]

## Data Fields
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
stat * | sb
char | sb_l_ [0]
char | sb_r_ [(sizeof(register_t)<=sizeof(struct stat *)?0:sizeof(register_t)-sizeof(struct stat *))]

## Detailed Description

Definition at line 150 of file sysproto.h.

## Field Documentation

int fstat_args::fd

Definition at line 151 of file sysproto.h.

Referenced by fstat().

char fstat_args::fd_l_[0]

Definition at line 151 of file sysproto.h.

char fstat_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 151 of file sysproto.h.

struct stat* fstat_args::sb

Definition at line 152 of file sysproto.h.

Referenced by fstat().

char fstat_args::sb_l_[0]

Definition at line 152 of file sysproto.h.

char fstat_args::sb_r_[(sizeof(register_t)<=sizeof(struct stat *)?0:sizeof(register_t)-sizeof(struct stat *))]

Definition at line 152 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h